Bug 70710 - filled areas are not filled for WMF images
Summary: filled areas are not filled for WMF images
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium major
Assignee: Chris Sherlock
URL:
Whiteboard:
Keywords: filter:emf, preBibisect, regression
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2013-10-21 06:39 UTC by Ulrich Windl
Modified: 2020-06-20 19:40 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Example WMF (51.74 KB, application/x-msmetafile)
2013-10-21 06:39 UTC, Ulrich Windl
Details
Comparing the presentation of the example image in LibreOffice 6.1 with Inkscape 0.91 (48.23 KB, image/png)
2019-07-02 06:21 UTC, Ulrich Windl
Details
convert wmf in irfanview to emf file (557.75 KB, image/x-emf)
2020-03-10 21:10 UTC, paulystefan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2013-10-21 06:39:44 UTC
Created attachment 87908 [details]
Example WMF

This is new as compared to LibreOffice 3.6: When creating filles rectangles in Draw, exporting them as WMF, and importing them in Writer, the filled areas are not filled. Did not see this in LibreOffice 3. I'll attach an example.
I found the problem with Windows/XP (32-bit)...
Comment 1 Ulrich Windl 2013-10-21 06:43:36 UTC
When double-clicking the WMF file in Windows, the filled areas are displayed, so I guess it's a bug in Writer, and not in Draw.
Comment 2 Andras Timar 2014-01-19 20:21:57 UTC
Bug is not reproducible, when EMF_PLUS_DISABLE environment variable is set, therefore it is a bug in EMF+ handling.
Comment 3 Timur 2014-11-27 17:59:12 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-12-20 16:12:39 UTC Comment hidden (obsolete)
Comment 5 Aron Budea 2016-08-22 04:16:56 UTC
Areas are still not filled in v5.2.0.4 (Windows 7 and Linux).

Adding regression-related keywords, as it's correct in v3.5.0.3, incorrect in v3.6.0.4.
Comment 6 Bartosz 2017-05-09 01:10:38 UTC
It's looks like SetPageTransform record is not using Pixels as an unit.
Comment 7 Timur 2017-08-30 16:25:58 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2018-06-28 12:57:08 UTC
The areas are not filled in the oldest commit in Linux 43all repo. I tried advancing to the 3.5.0 release period, going forward with
git log --reverse --pretty=%H latest | grep -A 1 $(git rev-parse HEAD) | tail -n1 | xargs git checkout

..with grep -A having various steps such as 10. The areas were never filled in the 3.5.0 commits.
Comment 9 QA Administrators 2019-06-29 02:58:39 UTC Comment hidden (obsolete)
Comment 10 Ulrich Windl 2019-07-02 06:21:51 UTC
Created attachment 152497 [details]
Comparing the presentation of the example image in LibreOffice 6.1 with Inkscape 0.91

Still present in 6.1 at least.
Comment 11 BogdanB 2019-12-10 06:11:27 UTC
The same in Version: 6.3.3.2 (x64). No fill.
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: ro-RO (ro_RO); UI-Language: en-US
Calc: threaded
Comment 12 Chris Sherlock 2019-12-18 05:47:24 UTC
I have a feeling I may have fixed this recently:

https://git.libreoffice.org/core/commit/e356b371373ed6d047efac9913bc69cb2bfa0105

Needs to be tested.
Comment 13 Xisco Faulí 2019-12-18 12:54:39 UTC
(In reply to Chris Sherlock from comment #12)
> I have a feeling I may have fixed this recently:
> 
> https://git.libreoffice.org/core/commit/
> e356b371373ed6d047efac9913bc69cb2bfa0105
> 
> Needs to be tested.

The issue is still reproducible in

Version: 6.5.0.0.alpha0+
Build ID: fb1eac64df88baae9f211d052793773686c0e180
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

thus, the mentioned commit doesn't fix it
Comment 14 paulystefan 2020-03-10 21:10:14 UTC
Created attachment 158573 [details]
convert wmf in irfanview to emf file

workaround

save wmf as emf

in irfanview or other convertors

emf import is ok like in inkscape.


workaround solution for programmers in LO

convert wmf in emf with internal tool and libs and than import emf in LO
Comment 15 paulystefan 2020-03-10 21:12:22 UTC
import emf successful in LO 6.4.1.2 x64 in win 10-64
Comment 16 paulystefan 2020-06-20 19:40:11 UTC
not resolved in 7.0.0beta2x64 in win 10x64

emf is ok but fonts are not clear